Skip to main content
GET
Get Paladin by ID

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

paladin_id
string<uuid>
required

The ID of the Paladin.

Response

200 - application/json

The Paladin associated with the passed-in ID.

Paladin Object

Description

The Paladin object represents a Paladin, Opal's AI access-request reviewer.

paladin_id
string<uuid>
required

The ID of the Paladin. Use this value as a reviewer in a request configuration's service_user_ids.

Example:

"32acc112-21ff-4669-91c2-21e27683eaa1"

name
string
required

The name of the Paladin.

Example:

"paladin-agent-1"

owner_id
string<uuid>
required

The ID of the owner of the Paladin.

Example:

"7c86c85d-0651-43e2-a748-d69d658418e8"

monitor_mode
boolean
required

When true, the Paladin reasons about requests but takes no action. Shown as "Monitor mode" in the UI.

admin_view_only
boolean
required

When true, the Paladin's recommendations are visible only to admins. Only meaningful when monitor_mode is true.

enabled_connectors
enum<string>[]
required

The connectors the Paladin is allowed to use.

A connector a Paladin is allowed to use.

Available options:
NOTION,
JIRA,
LINEAR,
SERVICE_NOW,
NOTION_TICKETS,
FRESH_SERVICE,
SHORTCUT,
SLACK,
PAGER_DUTY,
CONFLUENCE,
FLEET_DM
instructions
string
required

The free-form instructions that guide the Paladin's decisions.

Example:

"Approve read-only access; escalate anything that grants write access."

Last modified on August 27, 2026